This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 173967 - pressing ctrl-shift quickly cause scim to segfault
pressing ctrl-shift quickly cause scim to segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: SCIM
  Show dependency treegraph
 
Reported: 2005-11-23 01:31 EST by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 22:16:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2005-11-23 01:31:23 EST
Description of problem:
I wrote a script to press ctrl-shift quickly with 10 milliseconds interval, it
cause SCIM to crash when the IME switching gets to scim-uim.

Version-Release number of selected component (if applicable):
scim-hangul-debuginfo-0.2.1-1.fc5
scim-tables-debuginfo-0.5.4-1
scim-canna-debuginfo-0.1.0-1.fc4
scim-qtimm-debuginfo-0.9.4-1
scim-chewing-debuginfo-0.2.1-2
scim-ccinput-debuginfo-0.3.1-2.fc4
scim-uim-debuginfo-0.1.3-8.fc4
scim-fcitx-debuginfo-3.1.1-2.fc4
scim-input-pad-debuginfo-0.1.0-1.fc4
scim-debuginfo-1.4.2-6
scim-pinyin-debuginfo-0.5.91-2
scim-anthy-debuginfo-0.7.1-1.fc5

How reproducible:
Always

Steps to Reproduce:
1.ctrl-shift very quickly after activating SCIM
2.
3.
  
Actual results:
scim segfault

Expected results:
switch be able to switch between different IME

Additional info:

(gdb) c
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x00dd413c in ?? () from /usr/lib/libuim.so.0
(gdb) bt
#0  0x00dd413c in ?? () from /usr/lib/libuim.so.0
#1  0xb57a2744 in ?? ()
#2  0x00000100 in ?? ()
#3  0xbfbd77b8 in ?? ()
#4  0x00dcc676 in uim_scm_init () from /usr/lib/libuim.so.0
#5  0x00dc46bc in uim_quit () from /usr/lib/libuim.so.0
#6  0x00dc4fcf in uim_quit () from /usr/lib/libuim.so.0
#7  0x00abefd4 in ?? () from /lib/ld-linux.so.2
#8  0xb7fc0000 in ?? ()
#9  0x00000000 in ?? ()
Comment 1 Jens Petersen 2005-11-23 22:16:19 EST
scim-uim is not in Extras or Core, afaik.
(Nor scim-canna, scim-ccinput.  scim-fcitx has been submitted to Extras though.)
Anyway better not to include "Fedora SCIM" test packages in bugzilla.

Please re-open if you can reproduce without them installed.

If it can be reproduced by hand, perhaps upstream would be interested though.
Comment 2 Lawrence Lim 2005-11-24 18:34:02 EST
Yes. Without scim-uim the load test went very smoothly, so is the switching on
and off SCIM repeatly. I will note the package list.


Thanks.

Note You need to log in before you can comment on or make changes to this bug.